## sahara-dashboard 17.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix. 

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.8.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-saharaclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT

horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:44:03 +0200

sahara-dashboard (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed 2 patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 10:11:09 +0200

sahara-dashboard (16.0.0-2) unstable; urgency=medium

  * Add Django 4 compat patches (Closes: #1015078):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
    - debian/patches/django-4-force_text-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jul 2022 12:24:53 +0200

sahara-dashboard (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:49:06 +0200

sahara-dashboard (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 12:42:43 +0200

sahara-dashboard (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 20:48:15 +0100

sahara-dashboard (15.0.0-1) unstable; urgency=medium

  * New upstream releasse.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:33:57 +0200

sahara-dashboard (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:55:23 +0200

sahara-dashboard (15.0.0~rc1-1) experimental; urgency=medium

  * new upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 14:49:10 +0200

sahara-dashboard (14.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:32:21 +0200

sahara-dashboard (14.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 12:42:14 +0200

sahara-dashboard (14.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:36:30 +0200

sahara-dashboard (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 16:51:38 +0200

sahara-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 15:18:31 +0100

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-coverage,
 python3-ddt,
 python3-designateclient,
 python3-django,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-manilaclient,
 python3-netifaces,
 python3-neutronclient,
 python3-novaclient,
 python3-pytest,
 python3-openstackdocstheme,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-saharaclient,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/sahara-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/sahara-dashboard
Homepage: https://opendev.org/openstack/sahara-dashboard

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-designateclient,
 python3-django,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-manilaclient,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-pbr,
 python3-saharaclient,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/sahara_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python3 -m coverage run \
		$(CURDIR)/manage.py test sahara_dashboard/test --settings=sahara_dashboard.test.settings --exclude-tag integration
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/sahara-dashboard/tags .*/(\d[brc\d\.]+)\.tar\.gz

## sahara-dashboard 17.0.0+git2023011011.bdc39bbb

=== debian/changelog ===
sahara-dashboard (17.0.0+git2023011011.bdc39bbb-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:07:21 -0500

sahara-dashboard (17.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 17.x series
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:32:42 -0400

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose-exclude (>= 0.5.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslosphinx (>= 4.7.0),
 python3-pytest (>= 5.3.5),
 python3-reno (>= 2.11.2),
 python3-saharaclient (>= 2.2.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-dashboard
Homepage: https://opendev.org/openstack/sahara-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 python3-saharaclient (>= 2.2.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Python 3 dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack Python 3 dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-dashboard/ sahara-dashboard-(17\.\d.*)\.tar\.gz

## sahara-dashboard 18.0.0~rc1

=== debian/changelog ===
sahara-dashboard (18.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 15:38:38 -0500

## sahara-dashboard 18.0.0

=== debian/changelog ===
sahara-dashboard (18.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 00:59:35 +0000

sahara-dashboard (18.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:21:29 -0400

## sahara-dashboard 19.0.0

=== debian/changelog ===
sahara-dashboard (19.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090691).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:02:26 +0100

sahara-dashboard (19.0.0-2) unstable; urgency=medium

  * Removed build-depends on python3-unittest2 (Closes: #1060634).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 09:30:24 +0100

sahara-dashboard (19.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:10:07 +0200

sahara-dashboard (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 11:09:36 +0200

sahara-dashboard (18.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045786).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 17:28:02 +0200

sahara-dashboard (18.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:45:59 +0200

sahara-dashboard (18.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:06:20 +0100

sahara-dashboard (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to debhelper 11.
  * Standards-version bump to 4.6.1.
  * Removed django-4-force_text-is-removed.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:28:02 +0100

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-ddt,
 python3-designateclient,
 python3-django,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-manilaclient,
 python3-netifaces,
 python3-neutronclient,
 python3-novaclient,
 python3-pytest,
 python3-openstackdocstheme,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-saharaclient,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/sahara-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/sahara-dashboard
Homepage: https://opendev.org/openstack/sahara-dashboard

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard,
 python3-designateclient,
 python3-django,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-manilaclient,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-pbr,
 python3-saharaclient,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,11 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
-
-override_dh_clean:
-	dh_clean
-	rm -rf .coverage*
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf .coverage build *.egg-info
 
 override_dh_auto_build:
 	echo "Do nothing..."
